## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           typescript
Version:        4.9.3
Release:        %autorelease
Summary:        A language for application scale JavaScript development
License:        Apache-2.0
URL:            https://www.typescriptlang.org
Source:         https://registry.npmjs.org/typescript/-/typescript-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs
BuildRequires:  nodejs-packaging
# Obsoletes added in F38, can be removed in F40.
Provides:       nodejs-typescript = %{version}-%{release}
Obsoletes:      nodejs-typescript < 4.1.3-7


%description
TypeScript is a language for application-scale JavaScript. TypeScript adds
optional types to JavaScript that support tools for large-scale JavaScript
applications for any browser, for any host, on any OS. TypeScript compiles to
readable, standards-based JavaScript.


%prep
%autosetup -n package


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/typescript
cp -pr package.json bin/ lib/ %{buildroot}%{nodejs_sitelib}/typescript

mkdir -p %{buildroot}%{_bindir}
ln -s ../lib/node_modules/typescript/bin/tsc %{buildroot}%{_bindir}/tsc
ln -s ../lib/node_modules/typescript/bin/tsserver %{buildroot}%{_bindir}/tsserver


%check
%{__nodejs} -e 'require("./")'


%files
%license LICENSE.txt
%{nodejs_sitelib}/typescript
%{_bindir}/tsc
%{_bindir}/tsserver


%changelog
* Fri Feb 10 2023 Carl George <carl@george.computer> - 4.9.3-3
- Increase obsoletes upper bound slightly

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 21 2022 Carl George <carl@george.computer> - 4.9.3-1
- Update to 4.9.3

* Mon Oct 10 2022 Carl George <carl@george.computer> - 4.8.4-1
- Update to 4.8.4

* Mon Oct 10 2022 Carl George <carl@george.computer> - 4.8.3-1
- Rename of nodejs-typescript to typescript, resolves rhbz#2130053
